# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils webapp depend.php

DESCRIPTION="Mandriva Directory Server - Identity and network services management made easy !"
HOMEPAGE="http://mds.mandriva.org/"
SRC_URI="http://mds.mandriva.org/pub/mds/sources/${PV}/${P}.tar.gz
	http://ftp.mars.arge.at/pub/${P}.tar.gz"

LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE=""
RDEPEND="=app-admin/mmc-web-base-${PV}"

need_httpd
need_php_httpd

pkg_setup() {
	webapp_pkg_setup
}

src_unpack() {
	unpack ${A}
}

src_install() {
	webapp_src_preinst

	emake DESTDIR="${D}" DATADIR="${MY_HTDOCSDIR}" install

	webapp_postinst_txt en "${FILESDIR}"/postinstall-en-2.3.txt
	webapp_src_install
}
